NTSidDomainPrincipal (Java SE 9 & JDK 9 )
Keywords: com.sun.security.auth.NTSidDomainPrincipal class

Module jdk.security.auth
Package com.sun.security.auth

## Class NTSidDomainPrincipal

- java.lang.Object
- - com.sun.security.auth.NTSid
  - - com.sun.security.auth.NTSidDomainPrincipal

- All Implemented Interfaces:
    `Serializable`, `Principal`

      public class NTSidDomainPrincipal
      extends NTSid

  This class extends `NTSid` and represents a Windows NT user's domain SID.

  An NT user only has a domain SID if in fact they are logged into an NT domain. If the user is logged into a workgroup or just a standalone configuration, they will NOT have a domain SID.

  Principals such as this `NTSidDomainPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

  See Also:
    `Principal`, `Subject`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NTSidDomainPrincipal​(String name)` | Create an `NTSidDomainPrincipal` with a Windows NT SID.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares the specified Object with this `NTSidDomainPrincipal` for equality.
    `String` | `toString​()` | Return a string representation of this `NTSidDomainPrincipal`.

    - ### Methods inherited from class com.sun.security.auth.NTSid

      `getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.Principal

      `implies`

- - ### Constructor Detail

    - #### NTSidDomainPrincipal

          public NTSidDomainPrincipal​(String name)

      Create an `NTSidDomainPrincipal` with a Windows NT SID.
      Parameters:
        `name` - a string version of the Windows NT SID for this user's domain.
      Throws:
        `NullPointerException` - if the `name` is `null`.

  - ### Method Detail

    - #### toString

          public String toString​()

      Return a string representation of this `NTSidDomainPrincipal`.
      Specified by:
        `toString` in interface `Principal`
      Overrides:
        `toString` in class `NTSid`
      Returns:
        a string representation of this `NTSidDomainPrincipal`.

    - #### equals

          public boolean equals​(Object o)

      Compares the specified Object with this `NTSidDomainPrincipal` for equality. Returns true if the given object is also a `NTSidDomainPrincipal` and the two NTSidDomainPrincipals have the same SID.
      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `NTSid`
      Parameters:
        `o` - Object to be compared for equality with this `NTSidDomainPrincipal`.
      Returns:
        true if the specified Object is equal to this `NTSidDomainPrincipal`.
      See Also:
        `Object.hashCode()`, `HashMap`